# Snapcontrol

Drive snapshot backup controller.  
A backup wrapper program for Windows boxes.

  - Starts a backup via Windows Scheduler using Drive Snapshot
  - Asks the user for permission to start backup
  - Different backup targets (LOCAL drive, SMB, FTP)
  - Encryption support (via Drive Snapshot)
  - Verifies the backup (optional)
  - Full backup every month
  - Daily differential backup
  - Writes detailed logfile and history log
  - Sends reports via email

This tool creates image based backups of windows machines. It uses the [Drive Snapshot](http://www.drivesnapshot.de/en/order.htm) tool by Tom Ehlert Software. Please support this great tool and buy a license.

It is a - so called - wrapper program.  

This is a short description. Detailed documentation follows in the next days.

## USAGE

```dos
C:\>snapcontrol.exe /?
usage: snapcontrol.exe </I | /U | /D | /V>
    /I = install program and config
    /U = update scheduler job
    /D = dry run
    /V = show version
```

```dos
C:\>snapcontrol.exe /V
Version = V1.02
```

## Example run

```dos
[2021.05.25 (23:57:07)] ============== starting BACKUP ==============
[2021.05.25 (23:57:07)] snapcontrol.exe version = [ V1.02 ]
[2021.05.25 (23:57:07)]    snapshot.exe version = [ V1.48 ]
[2021.05.25 (23:57:07)] OK. Running as Admin ...
[2021.05.25 (23:57:07)] INFO: using a NETWORK share for backup ...
[2021.05.25 (23:57:07)] INFO: found [ MARS_snapshot_05_ful_C.sna ]
[2021.05.25 (23:57:07)] INFO: found [ MARS_snapshot_05_ful_HD1-1.sna ]
[2021.05.25 (23:57:07)] INFO: Starting QUICKCHECK for [ MARS_snapshot_05_ful_C.sna ]


23:57:07 Start of Snapshot 1.48.18895 [May  6 2021] at 25.05.2021
23:57:07 Running on Windows 10 Professional 64-bit  (19042)
23:57:07 Memory Info: Total: 7887Mb, Free: 4645Mb, Pagefile total: 9103Mb, Pagefile free: 5835Mb
23:57:07 Command line: c:\tools\snapshot64.exe  --Logfile:c:\snapshot\backup.log --QuickCheck:\\bar\drive\image\MARS_snapshot_05_ful_C.sna
23:57:07 The file structure of \\bar\drive\image\MARS_snapshot_05_ful_C.sna is okay.
23:57:07 End of Snapshot 1.48 [May  6 2021] at 25.05.2021
[2021.05.25 (23:57:07)] INFO: Starting QUICKCHECK for [ MARS_snapshot_05_ful_HD1-1.sna ]


23:57:07 Start of Snapshot 1.48.18895 [May  6 2021] at 25.05.2021
23:57:07 Running on Windows 10 Professional 64-bit  (19042)
23:57:07 Memory Info: Total: 7887Mb, Free: 4642Mb, Pagefile total: 9103Mb, Pagefile free: 5835Mb
23:57:07 Command line: c:\tools\snapshot64.exe  --Logfile:c:\snapshot\backup.log --QuickCheck:\\bar\drive\image\MARS_snapshot_05_ful_HD1-1.sna
23:57:07 The file structure of \\bar\drive\image\MARS_snapshot_05_ful_HD1-1.sna is okay.
23:57:07 End of Snapshot 1.48 [May  6 2021] at 25.05.2021
[2021.05.25 (23:57:07)] INFO: executing command [ c:\tools\snapshot64.exe ]
[2021.05.25 (23:57:07)]   DumpFile: [ \\bar\drive\image\MARS_snapshot_05_$type_$disk.sna ]
[2021.05.25 (23:57:07)]   HashFile: [ -h\\bar\drive\image\MARS_snapshot_05_$type_$disk.hsh ]
[2021.05.25 (23:57:07)]   LogFile:  [ c:\snapshot\backup.log ]


23:57:08 Start of Snapshot 1.48.18895 [May  6 2021] at 25.05.2021
23:57:08 Running on Windows 10 Professional 64-bit  (19042)
23:57:08 Memory Info: Total: 7887Mb, Free: 4641Mb, Pagefile total: 9103Mb, Pagefile free: 5836Mb
23:57:08 Command line: c:\tools\snapshot64.exe  --Logfile:c:\snapshot\backup.log -T --EjectDriveAfterBackup --NetUse:\\bar\drive\image,guest,********************  --FullIfHashIsMissing --CreateDir -W -L65536 HD1:* \\bar\drive\image\MARS_snapshot_05_$type_$disk.sna -h\\bar\drive\image\MARS_snapshot_05_$type_$disk.hsh
23:57:10 Disks in backup:
23:57:10    C: -> \\bar\drive\image\MARS_snapshot_05_dif_C.sna
23:57:10    HD1:1 -> \\bar\drive\image\MARS_snapshot_05_dif_HD1-1.sna
23:57:10 Preparing for backup
23:57:10 Drive HD1:1 is not supported by the Volume Shadow copy service
23:57:23 No exchange writer involved, using internal backup engine
23:57:24 Start differential backup of C: -> \\bar\drive\image\MARS_snapshot_05_dif_C.sna
23:57:24 free space info: total  244.095MB,  199.181MB free,   43.698MB must be saved
23:57:24 C: -> \\bar\drive\image\MARS_snapshot_05_dif_C.sna
23:59:11 4 sectors need more than 100ms to read
23:59:11 C:   44.914MB in use - stored in   26.228KB - 1:47 minutes
23:59:11 Success
23:59:11 Start verification of: \\bar\drive\image\MARS_snapshot_05_dif_C.sna
23:59:12 Success!
23:59:12 Start differential backup of HD1:1 -> \\bar\drive\image\MARS_snapshot_05_dif_HD1-1.sna
23:59:12 free space info: total  102.396KB,   75.424KB free,   26.972KB must be saved
23:59:13 HD1:1 -> \\bar\drive\image\MARS_snapshot_05_dif_HD1-1.sna
23:59:13 HD1:1   26.972KB in use - stored in    1.040KB - 0:00 minutes
23:59:13 Success
23:59:13 Start verification of: \\bar\drive\image\MARS_snapshot_05_dif_HD1-1.sna
23:59:13 Success!
23:59:13 Snapshot finished successfully
23:59:13 End of Snapshot 1.48 [May  6 2021] at 25.05.2021
[2021.05.25 (23:59:13)] INFO: END of BACKUP with result SUCCESS !
[2021.05.25 (23:59:13)] return=0
[2021.05.25 (23:59:13)] INFO: sending mail to: michael@schmidt2.de
[2021.05.25 (23:59:13)] INFO: MailServer = smtp.gmail.com
[2021.05.25 (23:59:14)] INFO: mail sent
```
